#include <iostream>

using namespace std;

int main()
{

    int N,Ni=1,k, A,x=0,z;
    int szam=1;
    cin>>N>>k;
    if (k==0)
    {
       while (Ni<=N)
      {
      cin>>z;
      x=x+z;
      Ni++;
      }
    cout << x << endl;
    }

    else
    {
       if (N>=2){
       int i;

       for (i=2; i<=N; i++)
        {
       szam *= i;
        }
    }

       while (Ni<=N)
      {
      cin>>z;
      x=x+z;
      Ni++;
      }
      x=N+k+szam+x*k;
      cout << x << endl;
    }



    return 0;
}